<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlChirpRow_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlChirpRow_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Chirp row configuration, radarSS stores each chirp config in memory in 3 rows.  
 <a href="structrl_chirp_row__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a367cc15b2bc63c93a79043b632cae70c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a367cc15b2bc63c93a79043b632cae70c"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_row__t.html#a367cc15b2bc63c93a79043b632cae70c">chirpNR1</a></td></tr>
<tr class="memdesc:a367cc15b2bc63c93a79043b632cae70c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nth Chirp config Row 1 Bits Definition 3:0 PROFILE_INDX Valid range 0 to 3 7:4 RESERVED 13:8 FREQ_SLOPE_VAR 1 LSB = 3.6e9*900 /2^26 ~48.279kHz Valid range: 0 to 63 15:14 RESERVED 18:16 TX_ENABLE Bit Definition b0 TX0 Enable b1 TX1 Enable b2 TX2 Enable 23:19 RESERVED 29:24 BPM_CONSTANT_BITS Bit Definition b0 CONST_BPM_VAL_TX0_OFF Value of Binary Phase Shift value for TX0, when during idle time b1 CONST_BPM_VAL_TX0_ON Value of Binary Phase Shift value for TX0, during chirp b2 CONST_BPM_VAL_TX1_OFF For TX1 b3 CONST_BPM_VAL_TX1_ON For TX1 b4 CONST_BPM_VAL_TX2_OFF For TX2 b5 CONST_BPM_VAL_TX2_ON For TX2 31:30 RESERVED. <br /></td></tr>
<tr class="separator:a367cc15b2bc63c93a79043b632cae70c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37a0d835a67de8a04cd20e4a504158b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37a0d835a67de8a04cd20e4a504158b3"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_row__t.html#a37a0d835a67de8a04cd20e4a504158b3">chirpNR2</a></td></tr>
<tr class="memdesc:a37a0d835a67de8a04cd20e4a504158b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nth Chirp config Row 2 Bits Definition b22:0 FREQ_START_VAR 1 LSB = 3.6e9/2^26 ~53.644kHz Valid range: 0 to 8388607 b31:23 RESERVED. <br /></td></tr>
<tr class="separator:a37a0d835a67de8a04cd20e4a504158b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ecdb14d1351bde4b39af9904378c763"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ecdb14d1351bde4b39af9904378c763"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_row__t.html#a1ecdb14d1351bde4b39af9904378c763">chirpNR3</a></td></tr>
<tr class="memdesc:a1ecdb14d1351bde4b39af9904378c763"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nth Chirp config Row 3 Bits Definition b11:0 IDLE_TIME_VAR 1 LSB = 10 ns Valid range: 0 to 4095 b15:12 RESERVED b27:16 ADC_START_TIME_VAR 1 LSB = 10 ns Valid range: 0 to 4095 b31:28 RESERVED. <br /></td></tr>
<tr class="separator:a1ecdb14d1351bde4b39af9904378c763"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Chirp row configuration, radarSS stores each chirp config in memory in 3 rows. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
